Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class Prerequisites

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.Prerequisites

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class Prerequisites

extends Object

Describes the prerequisites a project can have.

Java class for Prerequisites complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Prerequisites">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="maven" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `maven`

Constructor Summary
`Prerequisites()`

Method Summary
`String` | `getMaven()` Gets the value of the maven property.
`void` | `setMaven(String value)` Sets the value of the maven property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### maven

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String maven

Constructor Detail

### Prerequisites

    public Prerequisites()

Method Detail

### getMaven

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getMaven()

  Gets the value of the maven property.

  Returns:
    possible object is `String`

### setMaven

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setMaven(String value)

  Sets the value of the maven property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.